| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::NamedPoint Class Reference

`#include <helicsTypes.hpp>`

## Public Member Functions
| NamedPoint ()=default
| NamedPoint (std::string_view valname, double valval)
bool | operator== (const NamedPoint &np) const
bool | operator!= (const NamedPoint &np) const
bool | operator< (const NamedPoint &np) const
bool | operator> (const NamedPoint &np) const

## Public Attributes
std::string | name
| the text value for the named point
double | value
| the data value for the named point More...

## Detailed Description

data class for pair of a string and double

## Constructor & Destructor Documentation

## ◆ NamedPoint() [1/2]

helics::NamedPoint::NamedPoint | ( |  | ) |
| default

default constructor

## ◆ NamedPoint() [2/2]

helics::NamedPoint::NamedPoint | ( | std::string_view | valname,
|  | double | valval
| ) |  |
| inline

construct directly from name value

## Member Function Documentation

## ◆ operator<()

bool helics::NamedPoint::operator< | ( | const NamedPoint & | np | ) | const
| inline

less than operator

checks by name order, then value order

References name, and value.

## ◆ operator==()

bool helics::NamedPoint::operator== | ( | const NamedPoint & | np | ) | const
| inline

equality operator

if either value is nan it check only the string otherwise it checks the name and value

Returns
  true if the objects are equivalent

References name, and value.

## ◆ operator>()

bool helics::NamedPoint::operator> | ( | const NamedPoint & | np | ) | const
| inline

greater than operator

checks by name order, then value order

References name, and value.

## Member Data Documentation

## ◆ value

double helics::NamedPoint::value

Initial value:
=
std::numeric_limits<double>::quiet_NaN()

the data value for the named point

Referenced by helics::helicsGetNamedPoint(), helicsInputGetNamedPoint(), helics::helicsNamedPointString(), operator<(), operator==(), operator>(), and helics::valueExtract().

The documentation for this class was generated from the following file:

- helicsTypes.hpp